document.getElementById('creditForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  const prixBien = parseFloat(document.getElementById('prixBien').value);
  const apport = parseFloat(document.getElementById('apport').value);
  const duree = parseInt(document.getElementById('duree').value);
  const tauxInput = document.getElementById('taux').value;
  
  const tauxList = tauxInput.split(',').map(t => parseFloat(t.trim()));
  
  const resultsContainer = document.getElementById('results');
  resultsContainer.innerHTML = '';
  
  tauxList.forEach(taux => {
    const montantEmprunte = prixBien - apport;
    const tauxMensuel = taux / 100 / 12;
    const nbMensualites = duree * 12;
    
    const mensualite = (montantEmprunte * tauxMensuel) / (1 - Math.pow(1 + tauxMensuel, -nbMensualites));
    const coutTotal = mensualite * nbMensualites;
    const coutInteret = coutTotal - montantEmprunte;
    const fraisNotaire = prixBien * 0.08;
    
    const resultCard = document.createElement('div');
    resultCard.className = 'result-card';
    resultCard.innerHTML = `
      <h3>Taux: ${taux}%</h3>
      <p>Mensualité: ${mensualite.toFixed(2)}€</p>
      <p>Coût total des intérêts: ${coutInteret.toFixed(2)}€</p>
      <p>Frais de notaire: ${fraisNotaire.toFixed(2)}€</p>
      <p>Coût total du crédit: ${(coutTotal + fraisNotaire).toFixed(2)}€</p>
    `;
    
    resultsContainer.appendChild(resultCard);
  });
});